{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
	<title>Edit Project</title>
 	<meta http-equiv="Content-Type" content="text/html"; charset="utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1" />
<!--===============================================================================================-->	
 <!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/bootstrap/css/bootstrap.min.css' %}" />
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'fonts/font-awesome-4.7.0/css/font-awesome.min.css' %}" />
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'fonts/Linearicons-Free-v1.0.0/icon-font.min.css' %}" />
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/animate/animate.css' %}" />
<!--===============================================================================================-->	
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/css-hamburgers/hamburgers.min.css' %}" />
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/animsition/css/animsition.min.css' %}" />
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/select2/select2.min.css' %}" />
<!--===============================================================================================-->	
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/daterangepicker/daterangepicker.css' %}" />
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'css/util.css' %}" />
	<link rel="stylesheet" type="text/css" href="{% static 'css/main.css' %}"/>

	 <script src="https://www.google.com/recaptcha/api.js" async defer></script>
    <link
            rel="stylesheet"
            href="https://unpkg.com/leaflet@1.5.1/dist/leaflet.css"
    />

    <link href = "https://code.jquery.com/ui/1.10.4/themes/ui-lightness/jquery-ui.css"  rel = "stylesheet">
    
    <script
            src="https://unpkg.com/leaflet@1.5.1/dist/leaflet.js">
    </script>

    <script
            src="https://cdnjs.cloudflare.com/ajax/libs/leaflet.freedraw/2.0.1/leaflet-freedraw.web.js">
    </script>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/leaflet.draw/0.4.2/leaflet.draw.css"/>
<script src="https://cdnjs.cloudflare.com/ajax/libs/leaflet.draw/0.4.2/leaflet.draw.js"></script>

  <link rel="icon" href="{% static 'images/logo-head.PNG' %}">

    <link href = "https://code.jquery.com/ui/1.10.4/themes/ui-lightness/jquery-ui.css"  rel = "stylesheet"><!--
    ===============================================================================================-->
</head>
<body>
	
	<div class="limiter">
		<div class="container-login100">
			<div class="wrap-login100" style="width:1070px">
			<div class="login100-form-title">
					<img class="company-logo" src="{% static 'images/logo-company.png' %}" alt="company logo" />
					<img class="app-logo" src="{% static 'images/logo-app.png' %}" alt="app logo" />
				</div>
				 <div>
                                <select id="mbPOCControlsLangDrop"></select>
                                </div>
				<br />
				  <div class="navbar">
                                        <div class="nav-container">
                                                <div class="navbar-right">
                                                        <span class="navbar-item active">
                                                                <a href="/" data-mlr-text>مشاریع</a>
                                                        </span>
                                                </div>

                                                <div class="navbar-right">
                                                                <span class="navbar-item">
                                                                        <a href="../account_edit" data-mlr-text>إدارة الحساب</a>
                                                                </span>
                                                                <span class="navbar-item">
                                                                        <a href="logout" data-mlr-text>تسجیل الخروج</a>
                                                                </span>
                                                </div>
                                        </div>
                                </div>


<div id="alertparent">
{% if error_msg %}
<div class="alert alert alert-danger alert-dismissible fade show" role="alert"  id="aler">
  <strong>ERROR!!!!</strong> {{ error_msg }}
  <button type="button" class="close" data-dismiss="alert" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
{% endif %}

<div class="alert alert alert-danger alert-dismissible fade show" role="alert" style="display:none" id="aler">
  <strong>ERROR!!!!</strong> There is something wrong with the fields entered. See the respective cells for further details.
  <button type="button" class="close" data-dismiss="alert" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
</div>
<br>
<br>
<div style="border:1px solid #ccc">
   <form class="login100-form validate-form new-project" method='POST'>{%csrf_token%}
					<div class="wrap-input100 validate-input m-b-26" data-validate="Name is required"> 
					<span class="label-input100" data-mlr-text>اسم</span>
					<input class="input100" type="text" name="Name" value="{{ project.name }}" placeholder="Enter Name">					 
					<span class="focus-input100"></span>
					</div>

					<div class="wrap-input100 validate-input m-b-26" data-validate="Start Date is required">
					<span class="label-input100" data-mlr-text>تاريخ البدء</span>
					<input class="input100" type="text" id="startdate" name="Start-Date" value="{{project.start_date}}" placeholder="Enter Start Date">					 
					<span class="focus-input100"></span>
					</div>

					<div class="wrap-input100 m-b-26" data-validate="End Date is required">
					<span class="label-input100" data-mlr-text>تاريخ الانتهاء</span>
					<input class="input100" type="text" name="Date" id="enddate" value="{{project.end_date}}" placeholder="Enter End Date">					 
					<span class="focus-input100"></span>
					</div>

					<div class="wrap-input100 validate-input m-b-26" data-validate="Language is required">
					<span class="label-input100" data-mlr-text>لغة</span>
					 <select id="language" name="language" >
                                        <option value="ar" data-mlr-text>عربى</option>
                                        <option value="en" data-mlr-text>الإنجليزية</option>
                                        <option value="fa" data-mlr-text>اللغة الفارسية</option>
                                        <option value="tr" data-mlr-text>اللغة التركية</option>
                                        </select>

					<span class="focus-input100"></span>
					</div>
					
					<div class="wrap-input100 validate-input m-b-26" data-validate="Keywords is required">
					<span class="label-input100" data-mlr-text>الكلمات الدالة</span>
					<input class="input100" type="text" id="key" value= "{{project.keywords}}" name="keywords" placeholder="Enter Keywords Comma Seperated">					 
					<span class="focus-input100"></span>
					</div>
					<span class="note"> Or upload a txt file with keywords in CSV format. </span>
					<br>
					<div class="wrap-input100 m-b-26">
					<span class="label-input100" data-mlr-text>ملف الكلمات الرئيسية</span>
					<input type="file" class="input100" name="file"  id="myfile" multiple size="50" >
					<span class="focus-input100"></span>
					</div>	

					<div class="wrap-input100 m-b-26">
					<span class="label-input100" data-mlr-text>موقعك</span>
					<button type ="button" class="map-reset" onclick="layeer.remove();editableLayers.removeLayer(layeer);document.getElementById('latlng').value=''">  Reset </button>
     				<div id="mapid" style=" width: 90%; height: 400px; "></div>
					<input type="text" class="input100" style="display:none" value="" id="latlng"name="location">
					<span class="focus-input100"></span>
					</div>
					
					<div class="form-footer">
						<div type="submit" class="container-login100-form-btn">
							<button class="login100-form-btn" data-mlr-text>حفظ</button>
						</div>

						<div type="submit" class="container-login100-form-btn">
							<button class="login100-form-btn" data-mlr-text>عودة</button>
						</div>
						<a class="button" type="bütton" onclick="location.href='../delete_project/{{project.id}}'" data-mlr-text>حذف المشاریع</a>
						
					</div>
					
				</form>
				</div>
				
</div>
				 
</div>




		</div>
	
<!--===============================================================================================-->
	<script src="{% static 'vendor/jquery/jquery-3.2.1.min.js' %}"></script>
<!--===============================================================================================-->
	<script src="{% static 'vendor/animsition/js/animsition.min.js' %}"></script>
<!--===============================================================================================-->
	<script src="{% static 'vendor/bootstrap/js/popper.js' %}"></script>
	<script src="{% static 'vendor/bootstrap/js/bootstrap.min.js' %}"></script>
<!--===============================================================================================-->
	<script src="{% static 'vendor/select2/select2.min.js' %}"></script>
<!--===============================================================================================-->
	<script src="{% static 'vendor/daterangepicker/moment.min.js' %}"></script>
	<script src="{% static 'vendor/daterangepicker/daterangepicker.js' %}"></script>
<!--===============================================================================================-->
	<script src="{% static 'vendor/countdowntime/countdowntime.js' %}"></script>
<!--===============================================================================================-->
	<script src="{% static 'js/main.js' %}"></script>
	<script src="{% static 'js/lang.js' %}"></script>
    <script src = "https://code.jquery.com/ui/1.10.4/jquery-ui.js"></script>	
	<script>
document.getElementById('language').value = '{{project.lang}}';

// Limiting the date field so that only options available are dates greater than toda
$(function() {

            $( "#enddate" ).datepicker({
                minDate: new Date(Date.now())

                                        }).keyup(function(e) {
    if(e.keyCode == 8 || e.keyCode == 46) {
        $.datepicker._clearDate(this);
    }
});


});
$(function() {
     now=new Date(Date.now())
     now.setDate(now.getDate()-7)
            $( "#startdate" ).datepicker({
                minDate: now,

         }).keyup(function(e) {
    if(e.keyCode == 8 || e.keyCode == 46) {
        $.datepicker._clearDate(this);
    }
});

});
// Defining the map and other settings for drawing on it

    var drawrect= '{{project.location|safe}}'
	var layeer
	var draw=drawrect.split(",")
    document.getElementById("latlng").value=drawrect

    if (drawrect.length==0){
	var mymap = L.map('mapid').setView([31.531726144517158, 74.322509765625], 2);
	}
	else{
		var mymap = L.map('mapid').setView([(parseFloat(draw[1])+parseFloat(draw[3]))/2, (parseFloat(draw[0])+parseFloat(draw[2]))/2], 2);
	}
	L.tileLayer('https://api.tiles.mapbox.com/v4/{id}/{z}/{x}/{y}.png?access_token=pk.eyJ1IjoibWFwYm94IiwiYSI6ImNpejY4NXVycTA2emYycXBndHRqcmZ3N3gifQ.rJcFIG214AriISLbB6B5aw', {
		maxZoom: 18,
		attribution: 'Map data &copy; <a href="https://www.openstreetmap.org/">OpenStreetMap</a> contributors, ' +
			'<a href="https://creativecommons.org/licenses/by-sa/2.0/">CC-BY-SA</a>, ' +
			'Imagery © <a href="https://www.mapbox.com/">Mapbox</a>',
		id: 'mapbox.streets'
	}).addTo(mymap);

 
var editableLayers = new L.FeatureGroup();
mymap.addLayer(editableLayers);

var drawPluginOptions = {
  position: 'topright',
  draw: {
    polygon: {
      allowIntersection: false, // Restricts shapes to simple polygons
      drawError: {
        color: '#e1e100', // Color the shape will turn when intersects
        message: '<strong>Oh snap!<strong> you can\'t draw that!' // Message that will show when intersect
      },
      shapeOptions: {
        color: '#97009c'
      }
    },
    // disable toolbar item by setting it to false
    polyline: false,
    circle: false, // Turns off this drawing tool
    rectangle: true,
    marker: false,
	polygon:false
    },
  edit: {
    featureGroup: editableLayers, //REQUIRED!!
    remove: false
  }
};

// Initialise the draw control and pass it the FeatureGroup of editable layers
var drawControl = new L.Control.Draw(drawPluginOptions);
mymap.addControl(drawControl);
if(drawrect.length!=0){
var rec_bounds = [[],[]];
rec_bounds[0][0] = parseFloat(draw[3]);
rec_bounds[0][1] = parseFloat(draw[2]);
rec_bounds[1][0] = parseFloat(draw[1]);
rec_bounds[1][1] = parseFloat(draw[0]);

layeer=L.rectangle(rec_bounds, {
	color: "#ff7800",
	weight: 1,
}).addTo(mymap).bindPopup("");

}
var editableLayers = new L.FeatureGroup();
mymap.addLayer(editableLayers);

mymap.on('draw:created', function(e) {
  var type = e.layerType,
    layer = e.layer;
 	
	if(layeer){
	   layeer.remove()
	  editableLayers.removeLayer(layeer);

	}
	
	layeer=layer
	
  if (type === 'marker') {
    layer.bindPopup('A popup!');
  }
   
  editableLayers.addLayer(layer);
  latlng=layer.getLatLngs()
  document.getElementById("latlng").value=latlng[0][0]["lng"].toString()+","+latlng[0][0]["lat"].toString()+","		+latlng[0][2]["lng"].toString()+","+latlng[0][2]["lat"].toString()
  });

  
document.getElementById("myfile").value = "";
// Function to read the uploaded csv file
function uploadDealcsv () {}; 

  /*------ Method for read uploded csv file ------*/
  uploadDealcsv.prototype.getCsv = function(e) {
       
      let input = document.getElementById('myfile');
      input.addEventListener('change', function() {

        if (this.files && this.files[0]) {

            var myFile = this.files[0];
            var reader = new FileReader();
            
            reader.addEventListener('load', function (e) {
                
                let csvdata = e.target.result; 
                parseCsv.getParsecsvdata(csvdata); // calling function for parse csv data 
            });
            
            reader.readAsBinaryString(myFile);
        }
      });
    }

    /*------- Method for parse csv data and display --------------*/
    uploadDealcsv.prototype.getParsecsvdata = function(data) {

        let parsedata = [];

        let newLinebrk = data.split("\n");
        for(let i = 0; i < newLinebrk.length; i++) {

            parsedata.push(newLinebrk[i].split(","))
        }
        document.getElementById("key").value=parsedata
    }


  
  var parseCsv = new uploadDealcsv();
  parseCsv.getCsv();
	</script>
</body>
</html>
